%global _disable_ld_no_undefined 1

%global srcname esip

%global fast_tls_ver 1.1.10
%global p1_utils_ver 1.0.21
%global stun_ver 1.0.40

Name: erlang-%{srcname}
Version: 1.0.39
Release: %mkrel 1

Group:   Development/Erlang

License: ASL 2.0
Summary: ProcessOne SIP server component in Erlang
URL: https://github.com/processone/esip/
Source0: https://github.com/processone/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

Provides:  erlang-p1_sip = %{version}-%{release}
Obsoletes: erlang-p1_sip < 1.0.2

BuildRequires: gcc
BuildRequires: erlang-fast_tls >= %{fast_tls_ver}
BuildRequires: erlang-p1_utils >= %{p1_utils_ver}
BuildRequires: erlang-rebar
BuildRequires: erlang-stun >= %{stun_ver}

Requires: erlang-fast_tls >= %{fast_tls_ver}
Requires: erlang-p1_utils >= %{p1_utils_ver}
Requires: erlang-stun >= %{stun_ver}


%description
ProcessOne SIP server component in Erlang.


%prep
%setup -n %{srcname}-%{version} -q
rm -rf ebin


%build
%{rebar_compile}


%install
%{erlang_install}

install -d $RPM_BUILD_ROOT%{_erllibdir}/esip-%{version}/include
install -d $RPM_BUILD_ROOT%{_erllibdir}/esip-%{version}/priv/lib

install -pm644 include/* $RPM_BUILD_ROOT%{_erllibdir}/esip-%{version}/include/
install -pm755 priv/lib/*.so $RPM_BUILD_ROOT%{_erllibdir}/esip-%{version}/priv/lib/


%check
%{rebar_eunit}


%files
%license LICENSE.txt
%doc CHANGELOG.md README.md
%{erlang_appdir}



%changelog
* Sun Dec 20 2020 neoclust <neoclust> 1.0.39-1.mga8
+ Revision: 1661951
- New version 1.0.39

* Sun Dec 20 2020 wally <wally> 1.0.37-1.mga8
+ Revision: 1661658
- new version 1.0.37

* Wed Feb 12 2020 umeabot <umeabot> 1.0.24-2.mga8
+ Revision: 1511387
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 wally <wally> 1.0.24-1.mga7
+ Revision: 1288403
- new version 1.0.24 (sync with Fedora)

* Sun Jan 08 2017 daviddavid <daviddavid> 1.0.8-2.mga6
+ Revision: 1080605
- rebuild to obsolete properly erlang-p1_sip

* Thu Nov 17 2016 neoclust <neoclust> 1.0.8-1.mga6
+ Revision: 1067997
- imported package erlang-esip

